<template>
  <div class="tab-panel-header">
    <el-radio-group
      v-model="tabPosition"
      style="margin-bottom: 30px"
      @change="handleClick"
    >
      <el-radio-button
        v-for="tab in tabs"
        :key="tab.value"
        :label="tab.value"
        >{{ tab.label }}</el-radio-button
      >
    </el-radio-group>
  </div>
</template>

<script setup lang="ts">
import { ref } from "vue";

type Tab = {
  label: string;
  value: string;
};
const props = defineProps({
  tabs: {
    type: Array as PropType<Tab[]>,
    required: true,
  },
  initTab: {
    type: String,
    required: true,
  },
});
const emit = defineEmits(["onTabChange"]);

const tabPosition = ref(props.initTab);
const handleClick = (tab: string) => {
  emit("onTabChange", tab);
};
</script>

<style scoped lang="scss">
.tab-panel-header {
  position: static;
  display: block;
  max-width: max-content;
  width: auto !important;
  padding: 4px;
  margin-top: 0;
  background: var(--background-body);
  box-shadow: var(--box-shadow-inset);
  border-radius: 6px;
  overflow: hidden;
  height: max-content;

  & :deep(.el-radio-group) {
    margin: unset !important;
    display: flex;
  }
  & :deep(.el-radio-button) {
    min-height: unset;
    background: transparent;
  }
  & :deep(.el-radio-button__inner) {
    background: transparent;
    border: none !important;
    border-radius: 8px;
    transition: none;
    text-transform: uppercase;
    font-size: 12px;
    padding: 0.19rem 0.25rem;
    color: var(--title-font-color);
    font-weight: 400;
    min-height: unset;

    &::before {
      display: none !important;
    }
    &:hover {
      color: var(--title-font-color);
    }
  }
  :deep(.el-radio-button__original-radio:checked + .el-radio-button__inner) {
    background: var(--primary);
    border: none !important;
    border-radius: 4px;
    color: var(--textBtn);
    &:hover {
      color: var(--textBtn);
    }
  }
}
</style>
